sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SQOOP-3232) Remove Sqoop dependency on deprecated HBase APIs
Date Mon, 11 Sep 2017 12:34:01 GMT

    [ https://issues.apache.org/jira/browse/SQOOP-3232?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16161151#comment-16161151
] 

Hudson commented on SQOOP-3232:
-------------------------------

SUCCESS: Integrated in Jenkins build Sqoop-hadoop200 #1128 (See [https://builds.apache.org/job/Sqoop-hadoop200/1128/])
SQOOP-3232: Remove Sqoop dependency on deprecated HBase APIs (bogi: [https://git-wip-us.apache.org/repos/asf?p=sqoop.git&a=commit&h=e13dd21209c26316d43350a23f5d533321b61352])
* (add) src/test/org/apache/sqoop/hbase/TestHBasePutProcessor.java
* (edit) src/java/org/apache/sqoop/mapreduce/HBaseImportJob.java
* (edit) src/java/org/apache/sqoop/hbase/HBasePutProcessor.java
* (edit) src/java/org/apache/sqoop/mapreduce/HBaseBulkImportJob.java
* (edit) src/test/com/cloudera/sqoop/hbase/HBaseTestCase.java


> Remove Sqoop dependency on deprecated HBase APIs
> ------------------------------------------------
>
>                 Key: SQOOP-3232
>                 URL: https://issues.apache.org/jira/browse/SQOOP-3232
>             Project: Sqoop
>          Issue Type: Improvement
>    Affects Versions: 1.4.6
>            Reporter: Szabolcs Vasas
>            Assignee: Szabolcs Vasas
>         Attachments: SQOOP-3232-2.patch, SQOOP-3232.patch
>
>
> Sqoop currently depends on pre HBase 1.0 APIs that have been deprecated and will be removed
in the HBase 2.0 release.
> The task is to remove the dependency on these old APIs to make sure that the upgrade
to a newer HBase version will be easier in the future.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message